Public Class Youtube

    Private player28 As New MediaPlayer()
    Private Sub UserControl_Loaded(sender As Object, e As RoutedEventArgs)
        Try
            My.Settings.Reload()
        Catch

            My.Settings.mecolor = "#19A2DE"

            Dim bluecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            ytt.Background = New System.Windows.Media.SolidColorBrush(bluecolor)
        End Try

        Dim youtubetileuaTimer = New System.Windows.Threading.DispatcherTimer()
        AddHandler youtubetileuaTimer.Tick, AddressOf youtubetileuaTimer_Tick
        youtubetileuaTimer.Interval = New TimeSpan(0, 0, 1)
        youtubetileuaTimer.Start()
    End Sub

    Private Sub youtubetileuaTimer_Tick(sender As Object, e As EventArgs)
        Try
            Dim mytilecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            ytt.Background = New System.Windows.Media.SolidColorBrush(mytilecolor)
        Catch
        End Try
    End Sub

    Private Sub UserControl_MouseLeftButtonUp(sender As Object, e As MouseButtonEventArgs)
        PlayAccentSound()
        Process.Start("www.youtube.com")
    End Sub

    Private Sub PlayAccentSound()
        Try
            player28.Volume = 1.0
            player28.Open(New Uri("beltonen/wp7_pressed.mp3", UriKind.Relative))
            player28.Play()
        Catch ex As Exception
            MessageBox.Show("Error playing sound: " & ex.Message)
        End Try
    End Sub
End Class
